---
Name: "terraform/init-options"
Description: "Options to pass after 'terraform init'"
Documentation: |
  Argument options to pass after the `terraform init` call.

  By default this is set to `terraform/init-options` to disable color
  context highlighting which will cause DRP Job Logs to contain junk
  characters in the output.

  If this value is overridden, it is highly recommended to also include
  the `-no-color` option.

  One example usage is to set this Param to a value like:

    * `-plugin-dir /.terraform/providers -no-color`

  For use inside of a RackN specified Terraform Context Container.  The
  `/.terraform` directory contains a local copy of the providers.  This
  directive will force the Terraform `init` action from attempting to
  make outbound internet calls; for example - in an _airgap_ environment.

  !!! note
      Caution should be used with arguments as they may effect DRP Cloud
      Wrappers usage patterns.

Meta:
  color: "blue"
  icon: "map outline"
  title: "RackN Content"
  copyright: "RackN 2024"
Schema:
  type: "string"
  default: "-no-color"
